{ pkgs, ... }:

{
  services.xserver.enable = true; # optional

  # Configure keymap in X11
  # services.xserver.xkb.layout = "us";
  # services.xserver.xkb.options = "eurosign:e,caps:escape";

  services.displayManager.sddm.enable = true;
  services.displayManager.sddm.wayland.enable = true;
  services.desktopManager.plasma6.enable = true;

  # Specific fix for cursor in steam
  xdg.icons.fallbackCursorThemes = [ "breeze_cursors" ];

  environment.systemPackages = with pkgs;
    [ maliit-keyboard ] ++ (with kdePackages; [
      sddm-kcm
      plasma-disks
      partitionmanager
      filelight
      ffmpegthumbs
      kcalc
    ]);
}
